Bug Hunting Session
Bug 65595 - Option "Enregistrer de façon permanente... " is truncated in French version
Summary: Option "Enregistrer de façon permanente... " is truncated in French version
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.0.beta2
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.2.0 target:4.1.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-10 07:08 UTC by pierre-yves samyn
Modified: 2013-06-15 08:36 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot security option truncated (7.43 KB, image/png)
2013-06-10 07:08 UTC, pierre-yves samyn
Details
Capture showing the truncated sentence (28.46 KB, image/png)
2013-06-10 18:22 UTC, sophie
Details
the one I fixed (86.36 KB, image/png)
2013-06-13 09:20 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2013-06-10 07:08:10 UTC
Created attachment 80602 [details]
Screenshot security option truncated

Hello

Platform: windows 7 64bits a Version: 4.1.0.0.beta2
Build ID: 33224f4f11a05cfad2249e812fcc2975fbb61f6

French version

"Outils> Options> LibreOffice> Securité> Enregistrer de façon permanente les mots de passe pour les connexions web" is truncated.

Regression

Was ok (The text goes to the next line) in Version 4.0.4.1 
(Build ID:7fdd5ee61c1c7379dd088f5d50265f0adbccf53)

In security features, no chain can be truncated...

Regards
Pierre-Yves
Comment 1 sophie 2013-06-10 07:27:52 UTC
On some versions or languages, when ticking this option, the dialog that opens has a warning sentence at the bottom which is also truncated. 
Screenshot here : http://wstaw.org/m/2013/06/06/master_password.png
Thanks - Sophie
Comment 2 Andras Timar 2013-06-10 18:15:03 UTC
(In reply to comment #1)
> On some versions or languages, when ticking this option, the dialog that
> opens has a warning sentence at the bottom which is also truncated. 
> Screenshot here : http://wstaw.org/m/2013/06/06/master_password.png
> Thanks - Sophie

I couldn't reproduce this.
Comment 3 sophie 2013-06-10 18:22:07 UTC
Created attachment 80633 [details]
Capture showing the truncated sentence

I'm using Version: 4.1.0.0.beta2
Build ID: 33224f4f11a05cfad2249e812fcc2975fbb61f6 
Sophie
Comment 4 Andras Timar 2013-06-10 18:39:16 UTC
(In reply to comment #0)
> "Outils> Options> LibreOffice> Securité> Enregistrer de façon permanente les
> mots de passe pour les connexions web" is truncated.
> 
> Regression
> 
> Was ok (The text goes to the next line) in Version 4.0.4.1 

As far as I see, it is not possible to set word break at new .ui based checkboxes. I saw http://opengrok.libreoffice.org/xref/core/vcl/source/window/builder.cxx#1045 and I tried to add <property name="customproperty">True</property>. The only effect I had that the checkbox text was ended with ... instead of truncation.
-> @Caolán


Workaround: in translation, you can insert \n to wrap text manually.
Comment 5 Andras Timar 2013-06-10 18:55:35 UTC
(In reply to comment #3)
> Created attachment 80633 [details]
> Capture showing the truncated sentence

Yes, I see it under Linux, even with en-US, but not on Windows. Interestingly, the label on the top has the same properties as the label on the bottom.
Comment 6 Caolán McNamara 2013-06-11 08:10:28 UTC
in theory renaming the checkbox widget from "foo" to "foo:wrap" will enable the custom wrap property for checkboxes. That might still be a bit suboptimal on its own until height-for-width gets implemented, so leave it with me a for a bit to do a build with the translation to see if a little extra custom code would be required
Comment 7 Commit Notification 2013-06-11 13:04:30 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=40a5fd4aa0eab1940fcbde4ff26342a5af0222ee

Resolves: fdo#65595 wrap long checkbox string



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-06-11 13:12:43 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=21c21e8fd0e94dbb9efcd1220d012fd80867eae2&h=libreoffice-4-1

Resolves: fdo#65595 wrap long checkbox string


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Caolán McNamara 2013-06-11 13:15:29 UTC
that should do for now anyway
Comment 10 Mateusz 2013-06-13 05:13:46 UTC
(In reply to comment #9)
> that should do for now anyway

I can't confirm.

Wersja: 4.1.0.0.beta2+
Build ID: 5ae6803a21f5e2b6e107ee405e9b3346105c646
TinderBox: Linux-x86@34-Release-Configuration-RHEL5-Baseline, Branch:libreoffice-4-1, Time: 2013-06-12_14:35:06

and the warning text still is truncated (Polish UI)

http://wstaw.org/m/2013/06/06/master_password.png
Comment 11 Caolán McNamara 2013-06-13 09:20:18 UTC
Created attachment 80766 [details]
the one I fixed

Ah I see, there were *two* dialogs mentioned in this bug. I only saw the first one which is fixed as above. I'll look at the second one now as well
Comment 12 Commit Notification 2013-06-13 09:41:47 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5bf554a89183c983cc492bcdcbc78967f3dbc415

Related: fdo#65595 password dialog has truncated label



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2013-06-13 09:50:30 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=509fa206b0f612d61740632c59351b69bbcfcade&h=libreoffice-4-1

Related: fdo#65595 password dialog has truncated label


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 pierre-yves samyn 2013-06-15 05:51:03 UTC
Hello

WORKSFORME on windows 7 64bits with:

Version: 4.1.0.0.beta2+
Build ID: 509fa206b0f612d61740632c59351b69bbcfcad
TinderBox: Win-x86_9-Voreppe, Branch:libreoffice-4-1, Time: 2013-06-13_12:35:41

I have not tried with the Polish UI...

Thank you :)
Regards
Pierre-Yves
Comment 15 Mateusz 2013-06-15 08:36:04 UTC
Thank you Caolán. Well done.